#include <fstream>
#include <iostream>
#include <algorithm>
int b[107];
using namespace std;
int main()
{
    ifstream fi("permu.inp");
    ofstream fo("permu.out");
    int n,m,d = 0,a[1000],v[1000];
    fi >> n;
    fill(b,b+107,0);
    for (int i = 0; i < n; i++)
    {
        fi >> a[i];
        b[a[i]] = 1;
    }
    for (int i = 1; i <= n; i++)
    {
        if (b[i] != 1) d++;
    }
    fo << d;
    return 0;
}
